2019-12-07 07:30 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004953Sitewikipublic2015-09-16 22:29
Reportercupakm 
Assigned Toabma 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versionspringrts.com 
Target VersionFixed in Version 
Summary0004953: Build From Source on Linux - outdated info
Descriptionmarek@debian:~/installs/Spring/spring$ uname -a
Linux debian 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1+deb8u3 (2015-08-04) x86_64 GNU/Linux
marek@debian:~/installs/Spring/spring$ sudo aptitude install build-essential zlib1g-dev libfreetype6-dev cmake libsdl2-dev libopenal-dev libglew-dev zip libvorbis-dev libxcursor-dev libdevil-dev libboost-system1.47-dev libboost-system1.47-thread-dev libboost-system1.47-regex-dev libboost-system1.47-serialization-dev libboost-system1.47-program-options-dev libboost-system1.47-chrono-dev
Couldn't find any package whose name or description matched "libboost-system1.47-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-thread-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-regex-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-serialization-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-program-options-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-chrono-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-thread-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-regex-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-serialization-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-program-options-dev"
Couldn't find any package whose name or description matched "libboost-system1.47-chrono-dev"
The following NEW packages will be installed:
  liballegro4.4{a} libavahi-client-dev{a} libavahi-common-dev{a} libdevil-dev libdevil1c2{a} libegl1-mesa-dev{a}
  libgles2-mesa-dev{a} libglew-dev libglib2.0-dev{a} libjbig-dev{a} libjpeg-dev{a} libjpeg62-turbo-dev{a} libjpeg8{a}
  liblcms2-dev{a} libopenal-dev libpcre3-dev{a} libpcrecpp0{a} libpulse-dev{a} libsdl2-dev libtiff4 libtiff4-dev{a}
  libtiffxx0c2 libudev-dev{a} libwayland-dev{a} libxcursor-dev libxi-dev{a} libxinerama-dev{a} libxkbcommon-dev{a}
  libxrandr-dev{a} libxrender-dev{a} libxss-dev{a} libxv-dev{a} x11proto-randr-dev{a} x11proto-render-dev{a}
  x11proto-scrnsaver-dev{a} x11proto-video-dev{a} x11proto-xinerama-dev{a}
0 packages upgraded, 37 newly installed, 0 to remove and 0 not upgraded.
Need to get 11.8 MB/12.5 MB of archives. After unpacking 34.0 MB will be used.
Do you want to continue? [Y/n/?] n
Abort.
marek@debian:~/installs/Spring/spring$
Steps To Reproducesudo aptitude install build-essential zlib1g-dev libfreetype6-dev cmake libsdl2-dev libopenal-dev libglew-dev zip libvorbis-dev libxcursor-dev libdevil-dev libboost-system1.47-dev libboost-system1.47-thread-dev libboost-system1.47-regex-dev libboost-system1.47-serialization-dev libboost-system1.47-program-options-dev libboost-system1.47-chrono-dev
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015165

cupakm (reporter)

sudo apt-get install build-essential zlib1g-dev libfreetype6-dev cmake libsdl2-dev libopenal-dev libglew-dev zip libvorbis-dev libxcursor-dev libdevil-dev libboost-system1.55-dev libboost-thread1.55-dev libboost-regex1.55-dev libboost-serialization1.55-dev libboost-program-options1.55-dev libboost-chrono1.55-dev libboost-test1.55-dev libunwind-dev

marek@debian:~/installs/Spring/spring$ cmake .
-- gcc 4.9.2 detected
CMake Error at /usr/share/cmake-3.0/Modules/FindBoost.cmake:1198 (message):
  Unable to find the requested Boost libraries.

  Boost version: 1.55.0

  Boost include path: /usr/include

  Could not find the following Boost libraries:

          boost_signals
          boost_filesystem

  Some (but not all) of the required Boost libraries were found. You may
  need to install these additional Boost libraries. Alternatively, set
  BOOST_LIBRARYDIR to the directory containing Boost libraries or BOOST_ROOT
  to the location of Boost.
Call Stack (most recent call first):
  CMakeLists.txt:248 (FIND_PACKAGE)


-- Could NOT find Boost
-- Found SDL2: /usr/lib/x86_64-linux-gnu/libSDL2main.a;/usr/lib/x86_64-linux-gnu/libSDL2.so;-lpthread (found version "2.0.2")
-- Building Spring for 64bit environment
-- Found ld.gold
-- Compiling with C++11
-- using mtune=generic
-- Building Assimp with flags -fuse-ld=gold -std=gnu++11 -fdiagnostics-color=always -mtune=generic -msse -mfpmath=sse -mno-sse2 -mno-sse3 -mno-ssse3 -mno-sse4.1 -mno-sse4.2 -mno-sse4 -mno-sse4a -mno-avx -mno-fma -mno-fma4 -mno-xop -mno-lwp -mno-avx2 -frounding-math -mieee-fp -pipe -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pthread
-- Found AI Wrapper: CUtils (sources only wrapper)
-- Found AI Interface: C-AIInterface 0.1
-- Found AI Interface: Java-AIInterface 0.1
-- Found AI Wrapper: JavaOO
-- Found vecmath.jar: /home/marek/installs/Spring/spring/AI/Wrappers/JavaOO/jlib/vecmath.jar
-- Found AI Wrapper: Cpp-AIWrapper
-- Found AI Wrapper: LegacyCpp-AIWrapper
-- Found AI Wrapper: LegacyCpp-Creg-AIWrapper
-- Found Skirmish AI: Shard dev
-- Found Skirmish AI: HughAI 0.1
-- Found Skirmish AI: RAI 0.601
-- Found Skirmish AI: KAIK 0.13
-- Found Skirmish AI: E323AI 3.25.0
-- Found Skirmish AI: CppTestAI 0.1
-- Found Skirmish AI: NullOOJavaAI 0.1 (config: default)
-- Found Skirmish AI: NullJavaAI 0.1 (config: default)
-- Found Skirmish AI: AAI 0.9
-- Found Skirmish AI: NullAI 0.1
-- Could NOT find CURL (missing: CURL_LIBRARY CURL_INCLUDE_DIR)
-- pr-downloader will NOT be generated/installed; libcurl not found
-- Could NOT find XSLTProc (missing: XSLTPROC_BIN)
-- MAN pages will not be generated/installed; missing utilit(y|ies): asciidoc xsltproc
-- /home/marek/installs/Spring/spring/springsettings.cfg already exists!
-- Found libunwind libraries at /usr/lib/x86_64-linux-gnu/libunwind.so
-- Found SDL2: /usr/lib/x86_64-linux-gnu/libSDL2main.a;/usr/lib/x86_64-linux-gnu/libSDL2main.a;/usr/lib/x86_64-linux-gnu/libSDL2.so;-lpthread;-lpthread (found version "2.0.2")
-- Could NOT find FONTCONFIG (missing: FONTCONFIG_LIBRARY FONTCONFIG_INCLUDE_DIR)
-- Using legacy as default engine
-- Boost version: 1.55.0
-- Found the following Boost libraries:
-- unit_test_framework
-- Configuring incomplete, errors occurred!
See also "/home/marek/installs/Spring/spring/CMakeFiles/CMakeOutput.log".
See also "/home/marek/installs/Spring/spring/CMakeFiles/CMakeError.log".
marek@debian:~/installs/Spring/spring$

~0015169

cupakm (reporter)

Last edited: 2015-09-16 21:50

View 4 revisions

marek@debian:~/installs/Spring/spring$ sudo apt-get install build-essential zlib1g-dev libfreetype6-dev cmake libsdl2-dev libopenal-dev libglew-dev zip libvorbis-dev libxcursor-dev libdevil-dev libboost-system1.55-dev libboost-thread1.55-dev libboost-regex1.55-dev libboost-serialization1.55-dev libboost-program-options1.55-dev libboost-chrono1.55-dev libboost-test1.55-dev libunwind-dev libboost-filesystem1.55-dev libboost-signals1.55-dev xsltproc libfontconfig1-dev libcurl4-openssl-dev

marek@debian:~/installs/Spring/spring$ cmake -DCMAKE_INSTALL_PREFIX=~/.spring .
-- gcc 4.9.2 detected
-- Boost version: 1.55.0
-- Found the following Boost libraries:
-- thread
-- regex
-- program_options
-- system
-- chrono
-- signals
-- filesystem
-- Could NOT find Boost
-- Found SDL2: /usr/lib/x86_64-linux-gnu/libSDL2main.a;/usr/lib/x86_64-linux-gnu/libSDL2.so;-lpthread (found version "2.0.2")
-- Building Spring for 64bit environment
-- Found ld.gold
-- Compiling with C++11
-- using mtune=generic
-- Building Assimp with flags -fuse-ld=gold -std=gnu++11 -fdiagnostics-color=always -mtune=generic -msse -mfpmath=sse -mno-sse2 -mno-sse3 -mno-ssse3 -mno-sse4.1 -mno-sse4.2 -mno-sse4 -mno-sse4a -mno-avx -mno-fma -mno-fma4 -mno-xop -mno-lwp -mno-avx2 -frounding-math -mieee-fp -pipe -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden -pthread
-- Found AI Wrapper: CUtils (sources only wrapper)
-- Found AI Interface: C-AIInterface 0.1
-- Found AI Interface: Java-AIInterface 0.1
-- Found AI Wrapper: JavaOO
-- Found vecmath.jar: /home/marek/installs/Spring/spring/AI/Wrappers/JavaOO/jlib/vecmath.jar
-- Found AI Wrapper: Cpp-AIWrapper
-- Found AI Wrapper: LegacyCpp-AIWrapper
-- Found AI Wrapper: LegacyCpp-Creg-AIWrapper
-- Found Skirmish AI: Shard dev
-- Found Skirmish AI: HughAI 0.1
-- Found Skirmish AI: RAI 0.601
-- Found Skirmish AI: KAIK 0.13
-- Found Skirmish AI: E323AI 3.25.0
-- Found Skirmish AI: CppTestAI 0.1
-- Found Skirmish AI: NullOOJavaAI 0.1 (config: default)
-- Found Skirmish AI: NullJavaAI 0.1 (config: default)
-- Found Skirmish AI: AAI 0.9
-- Found Skirmish AI: NullAI 0.1
-- PR-Downloader version: 0.7-176-gdfb39db
-- libminizip was not found, using integrated
-- Boost version: 1.55.0
-- Found the following Boost libraries:
-- unit_test_framework
-- MAN pages will not be generated/installed; missing utilit(y|ies): asciidoc
-- /home/marek/installs/Spring/spring/springsettings.cfg already exists!
-- Found libunwind libraries at /usr/lib/x86_64-linux-gnu/libunwind.so
-- Found SDL2: /usr/lib/x86_64-linux-gnu/libSDL2main.a;/usr/lib/x86_64-linux-gnu/libSDL2main.a;/usr/lib/x86_64-linux-gnu/libSDL2.so;-lpthread;-lpthread (found version "2.0.2")
-- Using legacy as default engine
-- Boost version: 1.55.0
-- Found the following Boost libraries:
-- unit_test_framework
-- Configuring done
-- Generating done
-- Build files have been written to: /home/marek/installs/Spring/spring
marek@debian:~/installs/Spring/spring$

~0015171

abma (administrator)

which wiki page did you use?

~0015172

cupakm (reporter)

hi there. this one: https://springrts.com/wiki/Building_Spring_on_Linux

~0015173

abma (administrator)

> sudo apt-get install libcurl-ocaml-dev

are you sure you didn't mean sth. like "libcurl4-openssl-dev" ?

spring doesn't use ocaml... also some libs like xsltproc are optional and not needed to compile spring.

~0015174

cupakm (reporter)

yeah, works with that one too and does not install that much garbage. updated the second note and deleted others.
regarding xsltproc, i'm new to spring and just wanted to get rid of "Could NOT find *" messages.
(it compiles at the moment.)

~0015175

abma (administrator)

which debian version are you using?

~0015176

cupakm (reporter)

see Description:
marek@debian:~/installs/Spring/spring$ uname -a
Linux debian 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt11-1+deb8u3 (2015-08-04) x86_64 GNU/Linux

~0015177

abma (administrator)

deb8u3 = debian 8 update 3? idk shortcuts of debian distributions.

~0015178

cupakm (reporter)

Last edited: 2015-09-16 22:13

View 2 revisions

yes. currently stable debian is 8u3

marek@debian:~$ cat /etc/apt/apt.conf
APT::Default-Release "stable";

marek@debian:~$ cat /etc/apt/sources.list
deb http://http.debian.net/debian stable main contrib non-free
deb http://http.debian.net/debian stable-updates main
deb http://security.debian.org/ stable/updates main
deb http://http.debian.net/debian oldstable main

(uhm... how to disable URL highlight?)

~0015179

abma (administrator)

ok, i've updated the wiki page, thanks!

~0015180

cupakm (reporter)

detail: Debain's 8 stable codename is Jessie, not Etch

this seems unresolved:
"Just as above with a minimal change:
git clone {{GitCloneUrl}} -b develop"

~0015181

abma (administrator)

thx!
+Notes

-Issue History
Date Modified Username Field Change
2015-09-16 20:48 cupakm New Issue
2015-09-16 21:05 cupakm Note Added: 0015165
2015-09-16 21:16 cupakm Note Added: 0015169
2015-09-16 21:35 abma Note Added: 0015171
2015-09-16 21:36 abma Status new => feedback
2015-09-16 21:37 cupakm Note Added: 0015172
2015-09-16 21:37 cupakm Status feedback => new
2015-09-16 21:45 cupakm Note Edited: 0015169 View Revisions
2015-09-16 21:46 abma Note Added: 0015173
2015-09-16 21:50 cupakm Note Edited: 0015169 View Revisions
2015-09-16 21:50 cupakm Note Edited: 0015169 View Revisions
2015-09-16 21:53 cupakm Note Added: 0015174
2015-09-16 21:56 abma Note Added: 0015175
2015-09-16 22:05 cupakm Note Added: 0015176
2015-09-16 22:06 abma Note Added: 0015177
2015-09-16 22:12 cupakm Note Added: 0015178
2015-09-16 22:13 cupakm Note Edited: 0015178 View Revisions
2015-09-16 22:18 abma Note Added: 0015179
2015-09-16 22:18 abma Status new => resolved
2015-09-16 22:18 abma Resolution open => fixed
2015-09-16 22:18 abma Assigned To => abma
2015-09-16 22:25 cupakm Note Added: 0015180
2015-09-16 22:25 cupakm Status resolved => feedback
2015-09-16 22:25 cupakm Resolution fixed => reopened
2015-09-16 22:29 abma Note Added: 0015181
2015-09-16 22:29 abma Status feedback => resolved
2015-09-16 22:29 abma Resolution reopened => fixed
+Issue History